#ifndef __SNAPOINT_H__
#define __SNAPOINT_H__
 
#ifdef  __cplusplus
extern "C" {
#endif
 
typedef struct SNA_tdstFixInfo_
{
	ALW_tdxHandleToModelList		h_LastAlwaysInTheFix;
	struct tdstObjectTypeElement_ *	hLastFamilyTypeInTheFix;
	struct tdstObjectTypeElement_ *	hLastModelTypeInTheFix;
	struct tdstObjectTypeElement_ *	hLastPersonalTypeInTheFix;
	unsigned long					ulNbObject;
	struct tdstEngineObject_		*a20_stObjects[20];
} SNA_tdstFixInfo;
 
extern struct SNA_tdstFixInfo_ SNA_g_stFixInfo;
 
extern CPA_EXPORT void SNA_fn_xWriteOpenGlobalPointersFile(char *szFileName);
extern CPA_EXPORT void SNA_fn_xReadOpenGlobalPointersFile(char *szFileName);
extern CPA_EXPORT void SNA_fn_vCloseGlobalPointersFile();
extern CPA_EXPORT void SNA_fn_vWritePointerInGlobalPointersFile(unsigned long ulPointerAdr);
extern CPA_EXPORT unsigned long SNA_fn_vReadPointerFromGlobalPointersFile();
 
extern CPA_EXPORT void SNA_fn_xReadOpenGlobalTextureFile();
extern CPA_EXPORT void SNA_fn_vCloseGlobalTextureFile();
extern CPA_EXPORT void SNA_fn_vRelocateTexturePointer(unsigned long **);
 
extern CPA_EXPORT void SNA_fn_vWriteStructureInGlobalPointersFile(void *p_vAdr,unsigned long ulStructSize);
extern CPA_EXPORT void SNA_fn_vReadStructureFromGlobalPointersFile(unsigned long *p_ulAdr,unsigned long ulStructSize);
 
 
extern CPA_EXPORT void SNA_fn_vWriteArrayWithoutPointerInGlobalPointersFile( void *p_vAdr, unsigned long ulNumberOfElements,unsigned long ulElementSize );
extern CPA_EXPORT void SNA_fn_vWriteArrayInGlobalPointersFile( void *p_vAdr, unsigned long ulNumberOfElements,unsigned long ulElementSize );
extern CPA_EXPORT void SNA_fn_vReadArrayWithoutPointerFromGlobalPointersFile( void *p_vAdr, unsigned long ulNumberOfElements,unsigned long ulElementSize );
extern CPA_EXPORT void SNA_fn_vReadArrayFromGlobalPointersFile( void *p_vAdr, unsigned long ulNumberOfElements,unsigned long ulElementSize );
 
/* MR1311*/
extern CPA_EXPORT void SNA_fn_vSimpleReadFromGlobalPointersFile(unsigned long *p_ulAdr,unsigned long ulStructSize);
 
#ifdef  __cplusplus
}/* extern "C" */
#endif
 
#endif /* __SNAPOINT_H__*/
